Page MenuHomePhabricator

Integrate Contributors extension with RevisionDelete
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Manual:RevisionDelete

When a username / IP is deleted from a revision that info should also be removed from the contributors db table.
And of course if a revisions user is restored it should be re added to the db!

The extension will have to make use of the ArticleRevisionVisibilitySet hook.

https://www.mediawiki.org/wiki/Manual:Hooks/ArticleRevisionVisibilitySet

Details

Related Gerrit Patches:
mediawiki/extensions/Contributors : masterAlter contributors based on revdeled users

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 10 2016, 10:27 AM
Addshore renamed this task from Integrate Contributors extensions with RevisionDelete to Integrate Contributors extension with RevisionDelete.Jul 10 2016, 10:28 AM
Addshore triaged this task as High priority.Jul 15 2016, 1:45 PM
Addshore claimed this task.Jul 19 2016, 9:42 AM
Addshore added a project: User-Addshore.
Addshore moved this task from Unsorted 💣 to Back Burner 🏛️ on the User-Addshore board.

Change 299730 had a related patch set uploaded (by Addshore):
Alter contributors based on revdeled users

https://gerrit.wikimedia.org/r/299730

Change 299730 merged by Addshore:
Alter contributors based on revdeled users

https://gerrit.wikimedia.org/r/299730

Addshore closed this task as Resolved.Jul 27 2016, 12:07 AM